summary refs log tree commit diff
path: root/os/etc/cron.daily/rbw-sync
diff options
context:
space:
mode:
Diffstat (limited to 'os/etc/cron.daily/rbw-sync')
-rwxr-xr-xos/etc/cron.daily/rbw-sync7
1 files changed, 7 insertions, 0 deletions
diff --git a/os/etc/cron.daily/rbw-sync b/os/etc/cron.daily/rbw-sync
new file mode 100755
index 0000000..f386f42
--- /dev/null
+++ b/os/etc/cron.daily/rbw-sync
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+/etc/s6-rc/runas -- sh -s <<-EOF
+	id=\$(notify-send -i \$(iconez -sn server-security) "rbw" "<i>syncing database</i>" -pt 0)
+	trap '{ clear-notification \$id; }' EXIT
+	rbw sync
+EOF